コンテンツへスキップ

Bytedance Omnihuman V2

統合

モデルID bytedance/omnihuman/v2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/omnihuman/v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $1.05 1,050 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
ByteDance リップシンクとアバター リップシンク #image-to-video#lipsync

OmniHuman 2 は 4 秒から 300 秒の長い音声に対応し、任意で多言語のシーンプロンプトを指定できます

ByteDance · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

対応言語(インドネシア語、スペイン語(メキシコ)、韓国語、日本語、英語、中国語)で記述した任意のテキストプロンプトにより、シーン、動き、カメラを正確に制御します。

•必須 image_url
ファイルをドロップ、または

動画生成元の画像URL。画像の縦横それぞれが300–6000ピクセルで、幅/高さの比率が0.4–2.5である必要があります。ファイルは30 MBまでで、jpeg、png、webp、bmp、tiff、gif、heic、heif形式を使用してください。

•必須 audio_url
ファイルをドロップ、または

動画のソース音声として、4–300秒のファイルを指すURLを指定します。ファイルはwavまたはmp3で、15 MB以下である必要があります。

POST /run/bytedance/omnihuman/v2?wait=20 見積もり → $1.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/omnihuman/v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Bytedance Omnihuman V2について

人物画像と音声ファイルから話す動画を生成します。音声は wav または mp3、最大 15 MB、4 秒から 300 秒である必要があります。画像は最大 30 MB、各辺は 300 から 6000 ピクセルです。任意の `prompt` で、複数の対応言語によるシーン、動き、カメラを誘導できます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt任意
型string | null
対応言語(インドネシア語、スペイン語(メキシコ)、韓国語、日本語、英語、中国語)で記述した任意のテキストプロンプトにより、シーン、動き、カメラを正確に制御します。
image_url必須 image
型url · image
動画生成元の画像URL。画像の縦横それぞれが300–6000ピクセルで、幅/高さの比率が0.4–2.5である必要があります。ファイルは30 MBまでで、jpeg、png、webp、bmp、tiff、gif、heic、heif形式を使用してください。
audio_url必須 audio
型url · audio
動画のソース音声として、4–300秒のファイルを指すURLを指定します。ファイルはwavまたはmp3で、15 MB以下である必要があります。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/omnihuman/v2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1050,
    "usd": "1.05",
    "charged": 1050,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "duration": 5
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}生成された動画ファイル。
duration
number

その他のモデル: リップシンクとアバター

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/bytedance/omnihuman/v2.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt